UberBuilder (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.builder
[Groovy] Class UberBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              groovy.util.FactoryBuilderSupport
                  org.codehaus.griffon.runtime.builder.UberBuilder

    class UberBuilder
    extends FactoryBuilderSupport

Authors:
  Danno.Ferrin Date: Nov 7, 2007 Time: 2:50:58 PM

Field Summary
`private static org.slf4j.Logger` | `LOG`
`protected Map` | `builderLookup`
`protected List` | `builderRegistration`

Fields inherited from class FactoryBuilderSupport
CURRENT_FACTORY, PARENT_FACTORY, PARENT_NODE, CURRENT_NODE, PARENT_CONTEXT, PARENT_NAME, CURRENT_NAME, OWNER, PARENT_BUILDER, CURRENT_BUILDER, CHILD_BUILDER, SCRIPT_CLASS_NAME

Constructor Summary
`UberBuilder()`
`UberBuilder(Object[] builders)`

Method Summary
`Object` | `build(Script script)`
`void` | `dispose()`
`Object` | `getProperty(String property)`
`protected Object` | `loadBuilderLookups()`
`protected Closure` | `resolveExplicitMethod(String methodName, Object args)`
`Factory` | `resolveFactory(Object name, Map attributes, Object value)`
`protected void` | `setClosureDelegate(Closure closure, Object node)`
`void` | `setProperty(String property, Object newValue)`
`def` | `uberInit(Object prefix, Map builders)`
`def` | `uberInit(Object prefix, Object[] builders)`
`def` | `uberInit(Object prefix, Object builderKey)`
`protected def` | `uberInit(Object prefix, Class klass)`
`protected def` | `uberInit(Object prefix, FactoryBuilderSupport fbs)`
`protected def` | `uberInit(Object prefix, Factory factory)`

Methods inherited from class FactoryBuilderSupport
setProperty, getProperty, getName, getContext, dispose, build, build, build, getParentNode, invokeMethod, invokeMethod, getVariable, setVariable, getVariables, getCurrent, registerFactory, registerFactory, registerBeanFactory, registerBeanFactory, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, autoRegisterNodes, getFactories, getExplicitMethods, getExplicitProperties, getLocalFactories, getLocalExplicitMethods, getLocalExplicitProperties, getRegistrationGroups, getRegistrationGroupItems, getAttributeDelegates, getPreInstantiateDelegates, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getContextAttribute, getCurrentFactory, getCurrentName, getCurrentBuilder, getParentFactory, getParentContext, getParentName, getChildBuilder, addAttributeDelegate, removeAttributeDelegate, addPreInstantiateDelegate, removePreInstantiateDelegate, addPostInstantiateDelegate, removePostInstantiateDelegate, addPostNodeCompletionDelegate, removePostNodeCompletionDelegate, registerExplicitProperty, registerExplicitProperty, registerExplicitMethod, registerExplicitMethod, getNameMappingClosure, setNameMappingClosure, withBuilder, withBuilder, withBuilder, addDisposalClosure, getMetaClass, setMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Binding
setProperty, getProperty, getVariable, setVariable, getVariables, getMetaClass, setMetaClass, invokeMethod, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### LOG

    private static final org.slf4j.Logger LOG

### builderLookup

    protected final Map builderLookup

### builderRegistration

    protected final List builderRegistration

Constructor Detail

### UberBuilder

    UberBuilder()

### UberBuilder

    UberBuilder(Object[] builders)

Method Detail

### build

    Object build(Script script)

### dispose

    void dispose()

### getProperty

    Object getProperty(String property)

### loadBuilderLookups

    protected Object loadBuilderLookups()

### resolveExplicitMethod

    protected Closure resolveExplicitMethod(String methodName, Object args)

### resolveFactory

    Factory resolveFactory(Object name, Map attributes, Object value)

### setClosureDelegate

    protected void setClosureDelegate(Closure closure, Object node)

### setProperty

    void setProperty(String property, Object newValue)

### uberInit

    final def uberInit(Object prefix, Map builders)

### uberInit

    final def uberInit(Object prefix, Object[] builders)

### uberInit

    final def uberInit(Object prefix, Object builderKey)

### uberInit

    protected def uberInit(Object prefix, Class klass)

### uberInit

    protected def uberInit(Object prefix, FactoryBuilderSupport fbs)

### uberInit

    protected def uberInit(Object prefix, Factory factory)

Groovy Documentation